Package org.drinkless.tdlib

# Class TdApi.Birthdate

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Birthdate

Enclosing class:
  `TdApi`

public static class TdApi.Birthdate extends TdApi.Object
Represents a birthdate of a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `day`
  Day of the month; 1-31.
  `int`
  `month`
  Month of the year; 1-12.
  `int`
  `year`
  Birth year; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Birthdate()`
  Represents a birthdate of a user.
  `Birthdate(int day, int month, int year)`
  Represents a birthdate of a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### day

    public int day
    Day of the month; 1-31.

  - ### month

    public int month
    Month of the year; 1-12.

  - ### year

    public int year
    Birth year; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Birthdate

    public Birthdate()
    Represents a birthdate of a user.

  - ### Birthdate

    public Birthdate(int day, int month, int year)
    Represents a birthdate of a user.
    Parameters:
      `day` - Day of the month; 1-31.
      `month` - Month of the year; 1-12.
      `year` - Birth year; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR